/* 导入样式 */
@import url(/publish/xkcszztw/css/component/app-footer.css); /* 底部 */
@import url(/publish/xkcszztw/css/component/app-header.css); /* 头部 */
@import url(/publish/xkcszztw/css/component/tab.css); /* 导航栏 */
@import url(/publish/xkcszztw/css/component/crumbs.css); /* 面包屑 */
@import url(/publish/xkcszztw/css/component/pagination.css); /* 分页 */

html {
  --content-width1: 1400px;
  --content-width2: 1200px;
  --content-width3: 750px;
  --content-width4: 320px;
  --base-color1: #cc0102;
}

body {
  min-height: 100%;
  margin: 0;
  padding: 0;
  position: relative;
  font-size: medium;
  width: 100vw;
  min-width: 1240px;
  overflow-y: auto;
  overflow-x: hidden;
}
a {
  text-decoration: none;
}

img {
  width: 100%;
  display: block;
}

.content-padding {
  padding: 42px 0 50px 0;
  box-sizing: border-box;
}

.flex1 {
  flex: 1;
}

.relative {
  position: relative;
  overflow: hidden;
}

.content-main {
  position: relative;
  width: calc(100% - 40px);
  box-sizing: border-box;
  /* padding: 0 1.2rem; */
  max-width: 1200px;
  margin: 0 auto;
  z-index: 2;
}

.content-bg {
  width: 100%;
  position: absolute;
  top: 0;
  z-index: 1;
}

.content-more {
  display: flex;
  font-family: PingFangSC, PingFang SC;
  font-size: 12px;
  color: #003c54;
  line-height: 14px;
  font-style: normal;
  align-items: center;
  cursor: pointer;
}

.icon-more-right {
  width: 11px;
  margin-left: 5px;
}

/* 遮罩层 */
.mask {
  position: relative;
  overflow: hidden;
}

.mask::after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: #00253e;
  opacity: 0.4;
  z-index: 2;
}

/* 文本超出显示 */
.oneDot {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.twoDot {
  display: -webkit-box;
  overflow: hidden;
  white-space: normal !important;
  text-overflow: ellipsis;
  word-wrap: break-word;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.threeDot {
  display: -webkit-box;
  overflow: hidden;
  white-space: normal !important;
  text-overflow: ellipsis;
  word-wrap: break-word;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.h100 {
  min-height: 100vh;
  position: relative;
}

.width100 {
  width: 100%;
}

.pointer {
  cursor: pointer;
}

.content-line {
  width: 100%;
  height: 1px;
  background-color: #dddddd;
}

/* 输入框通用样式 */
input {
  border: none;
  outline: none;
  background-color: transparent;
  width: 100%;
  height: 100%;
  display: block;
  text-indent: 1em;
}

input::-webkit-input-placeholder {
  /* WebKit browsers，webkit内核浏览器 */
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  color: #93a2b8;
}
input:-moz-placeholder {
  /* Mozilla Firefox 4 to 18 */
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  color: #93a2b8;
  letter-spacing: 1px;
}
input::-moz-placeholder {
  /* Mozilla Firefox 19+ */
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  color: #93a2b8;
  letter-spacing: 1px;
}
input:-ms-input-placeholder {
  /* Internet Explorer 10+ */
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  color: #93a2b8;
  letter-spacing: 1px;
}

/* 下拉框通用样式 */
.select {
  width: 100%;
  height: 100%;
  display: flex;
  position: relative;
  align-items: center;
  cursor: pointer;
  padding: 0 8px;
  box-sizing: border-box;
}

.select-value {
  flex: 1;
}

.select-icon {
  width: 16px;
  height: 16px;
}

.select-icon img {
  width: 100%;
  height: 100%;
  display: block;
}

.select-options {
  position: absolute;
  top: calc(100% + 10px);
  left: 0;
  width: 100%;
  padding: 6px 0;
  background-color: white;
  filter: drop-shadow(0px 2px 12px rgba(0, 0, 0, 0.1));
  border-radius: 4px;
  z-index: 990;
  display: none;
}

.select-value {
  font-size: 14px;
}

.select-options-main {
  max-height: 170px;
  overflow-y: auto;
  overflow-x: hidden;
}

.select-options-empty {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px 0;
}

.select-options-empty-bg {
  width: 40%;
}

.select-options-empty-text {
  font-size: 14px;
  color: #93a2b8;
  margin-top: 20px;
}

.select-options::before {
  content: "";
  display: block;
  border-left: 6px solid transparent;
  border-right: 6px solid transparent;
  border-top: 6px solid transparent;
  border-bottom: 6px solid white;
  position: absolute;
  border-radius: 2px;
  top: 0;
  right: 50%;
  transform: translateY(-100%) translateX(-50%);
}

.select-options-item {
  display: flex;
  align-items: center;
  justify-items: center;
  position: relative;
  padding: 0 20px;
  height: 34px;
  font-size: 14px;
}

.select-options-item:hover {
  background-color: #f7f8fa;
}

.select-value-placeholder {
  font-family: PingFang SC, PingFang SC;
  font-weight: 400;
  font-size: 14px;
  color: #93a2b8;
}

/* 文本域通用样式 */
textarea {
  border: none;
  outline: none;
  background-color: transparent;
  width: 100%;
  height: 100%;
}

/* 表格通用样式 */
table {
  width: 100%;
  text-align: center;
}

table,
th,
td {
  border: 1px solid #d8d8d8;
  border-collapse: collapse;
}

thead {
  background-color: #f7f8fa;
}

th,
td {
  height: 46px;
  font-family: PingFang SC, PingFang SC;
  font-weight: 500;
  font-size: 16px;
  color: #333333;
}

.table-tr-empty {
  height: 100px;
  overflow: hidden;
}

.table-tr-empty div {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 20px 0;
}

.table-tr-empty-bg {
  width: 100px;
}

.table-tr-empty-text {
  font-size: 14px;
  color: #93a2b8;
  margin-top: 10px;
}

input[type="date"] {
  position: relative;
}
input[type="date"]::-webkit-calendar-picker-indicator,
input[type="date"]::-webkit-calendar-picker-indicator {
  position: absolute;
  right: 0;
  padding-left: calc(100% - 40px);
  padding-right: 10px;
}

input[type="date"]::-webkit-datetime-edit-text {
  -webkit-appearance: none;
  display: none;
}
input[type="date"]::-webkit-datetime-edit-month-field {
  -webkit-appearance: none;
  display: none;
}
input[type="date"]::-webkit-datetime-edit-day-field {
  -webkit-appearance: none;
  display: none;
}
input[type="date"]::-webkit-datetime-edit-year-field {
  -webkit-appearance: none;
  display: none;
}

/* app通用样式 */
#app {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

.app-contentBg {
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  height: 100%;
  width: 100%;
}

.app-content {
  position: relative;
  overflow: hidden;
  min-height: 300px;
  padding: 74px 0;
  flex: 1;
}

.app-contentBg img {
  height: 100%;
}

/* 返回顶部 */
#backTop {
  position: fixed;
  bottom: 200px;
  right: 60px;
  width: 56px;
  height: 57px;
  display: block;
  z-index: 99;
}

#backTop img {
  height: 100%;
}

@media screen and (min-width: 320px) and (max-width: 1240px) {
}

@media screen and (min-width: 750px) and (max-width: 1200px) {
}

/*!*移动端*!*/
@media screen and (min-width: 320px) and (max-width: 750px) {
}
